List incidents with filters
curl --request POST \
--url https://api.coralogix.com/mgmt/openapi/3/incidents/incidents/v1 \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/3/incidents/incidents/v1"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/3/incidents/incidents/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incidents": [
{
"assignments": [
{
"assignedBy": {
"userId": "user_id"
},
"assignedTo": {
"userId": "user_id"
}
}
],
"contextualLabels": {},
"createdAt": "2024-01-01T00:00:00.000Z",
"displayLabels": {},
"duration": "<string>",
"events": [
{
"id": "incident_event_id",
"acknowledge": {
"acknowledgedBy": {
"userId": "user_id"
}
},
"operationalEvent": {
"systemName": "<string>"
}
}
],
"id": "incident_id",
"lastStateUpdateKey": "last_state_update_key",
"lastStateUpdateTime": "2024-01-01T00:00:00.000Z",
"closedAt": "2024-01-01T00:00:00.000Z",
"description": "incident_description",
"isMuted": false,
"metaLabels": [
{
"key": "key",
"value": "value"
}
],
"name": "incident_name"
}
],
"pagination": {
"totalSize": 100,
"nextPageToken": "next_page_token"
}
}Incidents Service
List incidents with filters
Lists all available incidents based on specified filters and order. The list is ordered in an unspecified direction and sorted by creation time.
Requires the following permissions:
incidents:read
List incidents with filters
Authorizations
API key authentication
Query Parameters
Filter configuration for incidents
Show child attributes
Show child attributes
Pagination parameters for list requests
Show child attributes
Show child attributes
- Incident order by
- Incident order by
Show child attributes
Show child attributes
Was this page helpful?
⌘I